#!/bin/bash
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
# script to get AGPS info based on the location of the current GSM cell
MY_PATH=/home/root/scripts/gps
AGPS_SERVER=agps.u-blox.com;

echo 1 >/sys/bus/platform/drivers/neo1973-pm-gps/neo1973-pm-gps.0/pwron
/etc/init.d/gpsd start

gprs_off()
{
 GPRS_OFF=0
 if "${MY_PATH}"/scripts/gprs_off.sh; then
  GPRS_OFF=1
 else
  return 7
 fi
}

CELL_ID=0
if "${MY_PATH}"/scripts/get_cell_id.sh; then
 CELL_ID=1
else
 exit 1
fi

MCC_MNC=0
if "${MY_PATH}"/scripts/get_mcc_mnc.sh; then
 MCC_MNC=1
else
 exit 2
fi

MAKE_URL=0
if "${MY_PATH}"/scripts/make_url.sh; then
 MAKE_URL=1
else
 exit 3
fi

GPRS_ON=0
NETWORK=0
if "${MY_PATH}"/scripts/get_agps.sh; then
 # there is allready an network connection, no need to start gprs
 NETWORK=1
else
 if "${MY_PATH}"/scripts/gprs_on.sh; then
  GPRS_ON=1
 else
  gprs_off # just to be sure
  exit 4
 fi
fi

if test "${GPRS_ON}" -eq 0 -a "${NETWORK}" -eq 0; then
 # can not establish network connection
 exit 5
fi
 
GET_LAT_LONG=0
if "${MY_PATH}"/scripts/get_lat_long.sh; then
 GET_LAT_LONG=1
else
 gprs_off
 exit 5
fi

if test "${MCC_MNC}" -eq 0 -o "${MAKE_URL}" -eq 0 -o "${GET_LAT_LONG}" -eq 0; then
 # one of the above did not succeed, no need to try to get agps data
 gprs_off
 exit 6
fi

if test "${NETWORK}" -eq 0; then
 GET_AGPS=0
 if "${MY_PATH}"/scripts/get_agps.sh; then
  GET_AGPS=1
 fi
fi

if test "${GPRS_ON}" -ne 0 ; then
 gprs_off
fi

exit
