#!/bin/bash
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
# 081230  18:58  script to get the location from http://www.opencellid.org
MY_PATH=/home/root/scripts/gps
MAX_TRIES=10

#  <cell cellId="" mnc="16" lat="51.9989485" lac="190" lon="4.38321353333333" nbSamples="3" range="1000" mcc="204"/>

if test -s "${MY_PATH}"/tables/location.html; then
 URL=`cat "${MY_PATH}"/tables/location.html`
 TRIES=0
 while test "${TRIES}" -lt "${MAX_TRIES}"; do
  RAW_LOC=`wget -q -O - "${URL}" 2>&1 | grep "lat=" | grep "lon=" | grep "mcc="`
  if test "${RAW_LOC}"; then break; fi
  TRIES=$(( ${TRIES} + 1 ))
  sleep 5
 done
else
 exit 1
fi

if test "${TRIES}" -ge "${MAX_TRIES}"; then
 exit 2
fi

LAT=`echo "${RAW_LOC}" | awk '{X=1; while (X<=NF){ if ($X ~ "lat="){ gsub("lat=","",$X); gsub("\"","",$X); print $X }X=X+1}}'`
LONG=`echo "${RAW_LOC}" | awk '{X=1; while (X<=NF){ if ($X ~ "lon="){gsub("lon=","",$X); gsub("\"","",$X); print $X }X=X+1}}'`

#echo "${LAT}" "${LONG}"
echo "${LAT}"  > "${MY_PATH}"/tables/gsm_lat
echo "${LONG}" > "${MY_PATH}"/tables/gsm_long

