#!/bin/bash
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
MY_PATH=/home/root/scripts/gps

MAX_TRIES=100
echo 1 >/sys/bus/platform/drivers/neo1973-pm-gps/neo1973-pm-gps.0/pwron

stop_gps()
{
/etc/init.d/gpsd stop
}

start_gps()
{
/etc/init.d/gpsd start
}

case "$1" in
 start)
  TRIES=0
  # wacht tot gpsd gestop is
  until ! gpspipe -r | dd count=500 bs=1| grep GPGGA; do
   stop_gps
   sleep 5
   TRIES=$(( ${TRIES} + 1 ))
   if test "${TRIES}" -gt "${MAX_TRIES}"; then exit 1; fi
  done
  
  start_gps

  gpspipe -r > "${MY_PATH}"/tables/track.nmea &
  GPSPIPE_PID=$!
  echo "${GPSPIPE_PID}" > /var/run/gpspipe

  ;;
 stop)
  if test -s /var/run/gpspipe; then
   GPSPIPE_PID=`cat /var/run/gpspipe`
   if ps -fp "${GPSPIPE_PID}" >/dev/null 2>&1 | grep gpspipe >/dev/null; then
    kill "${GPSPIPE_PID}"
   fi
  fi

  TRIES=0
  # wacht tot gpsd gestop is
  until ! gpspipe -r | dd count=500 bs=1| grep GPGGA; do
   stop_gps
   sleep 5
   TRIES=$(( ${TRIES} + 1 ))
   if test "${TRIES}" -gt "${MAX_TRIES}"; then exit 1; fi
   done
  ;;
esac




